## export-to-serenade.ps1 - Exports scripts to Serenade

This PowerShell script exports all scripts to Serenade to execute them by voice.

## Parameters
```powershell
export-to-serenade.ps1 [[-WakeWord] <String>] [[-FilePattern] <String>] [[-Application] <String>] [[-TargetFile] <String>] [<CommonParameters>]

-WakeWord <String>
    Specifies the wake word (none by default)
    
    Required?                    false
    Position?                    1
    Default value                
    Accept pipeline input?       false
    Accept wildcard characters?  false

-FilePattern <String>
    Specifies the file pattern for the scripts ("$PSScriptRoot/*.ps1" by default)
    
    Required?                    false
    Position?                    2
    Default value                "$PSScriptRoot/*.ps1"
    Accept pipeline input?       false
    Accept wildcard characters?  false

-Application <String>
    Specifies the application to be used
    
    Required?                    false
    Position?                    3
    Default value                terminal
    Accept pipeline input?       false
    Accept wildcard characters?  false

-TargetFile <String>
    Specifies the target file ("$HOME\.serenade\scripts\PowerShell.js" by default)
    
    Required?                    false
    Position?                    4
    Default value                "$HOME\.serenade\scripts\PowerShell.js"
    Accept pipeline input?       false
    Accept wildcard characters?  false

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Example
```powershell
PS> ./export-to-serenade.ps1 Computer
⏳ Found 534 PowerShell scripts...
⏳ Writing custom JavaScript file: C:\Users\Markus\.serenade\scripts\PowerShell.js...
✔️ Exported to Serenade with wake word "Computer" in 3 sec

```

## Notes
Author: Markus Fleschutz / License: CC0

## Related Links
https://github.com/fleschutz/PowerShell

*Generated by convert-ps2md.ps1 using the comment-based help of export-to-serenade.ps1*
