﻿<#
.SYNOPSIS
	Sets the working directory to the user's repos folder
.DESCRIPTION
	This PowerShell script changes the working directory to the user's Git repositories folder.
.EXAMPLE
	PS> ./cd-repos
	📂C:\Users\Markus\Repos
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	$Path = Resolve-Path "$HOME/Repos"
	if (-not(Test-Path "$Path" -pathType container)) {
		$Path = Resolve-Path "$HOME/source/repos"
		if (-not(Test-Path "$Path" -pathType container)) {
			$Path = Resolve-Path "$HOME/Repos"
			throw "Folder for Git repositories at 📂$Path doesn't exist (yet)"
		}
	}
	Set-Location "$Path"
	"📂$Path"
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}